Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724352 - dev-python/feedparser-5.2.1 with >=dev-lang/python-3.7: PEP479 Cause RuntimeError: generator raised StopIteration
Summary: dev-python/feedparser-5.2.1 with >=dev-lang/python-3.7: PEP479 Cause RuntimeE...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2020-05-20 16:01 UTC by Till Schäfer
Modified: 2020-05-20 19:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
backported upstream patch for feedparser 5.2.1 (feedparser-stopiteration-py37.patch,804 bytes, patch)
2020-05-20 16:28 UTC, Till Schäfer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2020-05-20 16:01:37 UTC
dev-python/feedparser-5.2.1 is not fully python-3.7 compatible. It throws runtime errors "generator raised StopIteration" as a side effect of PEP479. 

This causes e.g. rss2email to fail
$ r2e run 
2020-05-20 17:50:35,989 [ERROR] error while running time limited function: generator raised StopIteration
2020-05-20 17:50:35,989 [ERROR] cause: generator raised StopIteration


Patch is available upstream:
https://github.com/exxamalte/feedparser/commit/05cb9150b42dec0543e90d6811c408d01ba463ae

Reproducible: Always
Comment 1 Till Schäfer 2020-05-20 16:28:45 UTC
Created attachment 640576 [details, diff]
backported upstream patch for feedparser 5.2.1

Upstream patch is not compatible to 5.2.1. I have back ported the patch.